.window-popup {
    position: absolute;
    background-color: #505050;
    border: 2px solid rgba(255, 255, 255, 0.2);
    border-radius: 5px;
    z-index: 10;
    box-sizing: border-box;

    animation: showWindow 0.5s ease forwards 1;

    &.active {
        z-index: 11;
    }

    .wp-header {
        height: 32px;
        cursor: all-scroll;
        user-select: none;

        h3 {
            color: rgba(255, 255, 255, 0.6);
            display: inline-block;
            font-size: 20px;
            padding: 4px 8px;
        }

        .wp-header-actions {
            float: right;

            button {
                width: 32px;
                height: 32px;
                text-align: center;

                i {
                    color: rgba(255, 255, 255, 0.6) !important;
                }
            }
        }
    }

    .wp-body {
        height: calc(100% - 32px - 16px);
        background-color: rgba(255, 255, 255, 0.75);
        box-sizing: border-box;
        margin: 4px 8px 0 8px;
    }

    .wp-footer {
        user-select: none;
        height: 8px;

        .wp-tool-resize {
            float: right;
            width: 0;
            height: 0;
            border-left: 8px solid transparent;
            border-bottom: 8px solid rgba(255, 255, 255, 0.75);
            margin-right: 3px;
            margin-bottom: 3px;
            cursor: se-resize;
        }
    }
}

@keyframes showWindow {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}